Bug 471806 - gphoto2 fails to unload camera photos
gphoto2 fails to unload camera photos
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 12:36 EST by Glenn Simpson
Modified: 2013-07-02 19:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:51:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glenn Simpson 2008-11-16 12:36:50 EST
Description of problem:
I use gphoto2 with Fedora 7 and it works.
In Fedora 10 preview, I try the same script as with Fedora 7 and it fails
The script contains:
gphoto2 --camera "Olympus C-3000Z" -P --port usb:

Version-Release number of selected component (if applicable):
debug reports:
 gphoto2 2.4.3

How reproducible:
occurs every time

Steps to Reproduce:
1. connect Olympus C-3000Z camera to USB and turn camera ON to output photos
2. use the above script to run gphoto2
3.
  
Actual results:
gphoto2 reports that the camera is already in use

Expected results:
Expected to unload the photos (abt 12 in this test case) to a directory on the host.

Additional info:
see the log file created by gphoto2.
--
0.000010 main(2): ALWAYS INCLUDE THE FOLLOWING LINES WHEN SENDING DEBUG MESSAGES TO THE MAILING LIST:
0.000139 main(2): gphoto2 2.4.3
0.000171 main(2): gphoto2 has been compiled with the following options:
0.000200 main(2):  + gcc (C compiler used)
0.000228 main(2):  + popt (mandatory, for handling command-line parameters)
0.000256 main(2):  + exif (for displaying EXIF information)
0.000284 main(2):  + no cdk (for accessing configuration options)
0.000312 main(2):  + no aa (for displaying live previews)
0.000340 main(2):  + jpeg (for displaying live previews in JPEG format)
0.000368 main(2):  + readline (for easy navigation in the shell)
0.000400 main(2): libgphoto2 2.4.3
0.000430 main(2): libgphoto2 has been compiled with the following options:
0.000459 main(2):  + gcc (C compiler used)
0.000490 main(2):  + ltdl (for portable loading of camlibs)
0.000518 main(2):  + EXIF (for special handling of EXIF files)
0.000548 main(2): libgphoto2_port 0.8.0
0.000577 main(2): libgphoto2_port has been compiled with the following options:
0.000606 main(2):  + gcc (C compiler used)
0.000633 main(2):  + ltdl (for portable loading of camlibs)
0.000661 main(2):  + USB (libusb, for USB cameras)
0.000689 main(2):  + serial (for serial cameras)
0.000716 main(2):  + no resmgr (serial port access and locking)
0.000744 main(2):  + baudboy (serial port locking)
0.000772 main(2):  + no ttylock (serial port locking)
0.000799 main(2):  + no lockdev (serial port locking)
0.000828 main(2): CAMLIBS env var not set, using compile-time default instead
0.000855 main(2): IOLIBS env var not set, using compile-time default instead
0.000917 main(2): Processing 'model' option ('Olympus C-3000Z')...
0.000989 gphoto2-abilities-list(2): Using ltdl to load camera libraries from '/usr/lib/libgphoto2/2.4.3'...
0.003621 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/adc65'.
0.003691 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/agfa_cl20'.
0.003721 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/aox'.
0.003751 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/barbie'.
0.003780 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/canon'.
0.003809 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/casio_qv'.
0.003837 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/clicksmart310'.
0.003866 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/digigr8'.
0.003895 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/digita'.
0.003924 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/dimagev'.
0.003953 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/dimera3500'.
0.003997 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/directory'.
0.004026 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/enigma13'.
0.004055 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/fuji'.
0.004084 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/gsmart300'.
0.004112 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/hp215'.
0.004141 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/iclick'.
0.004170 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/jamcam'.
0.004199 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/jd11'.
0.004228 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/jl2005a'.
0.004257 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/kodak_dc120'.
0.004286 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/kodak_dc210'.
0.004314 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/kodak_dc240'.
0.004343 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/kodak_dc3200'.
0.004372 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/kodak_ez200'.
0.004401 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/konica'.
0.004430 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/konica_qm150'.
0.004458 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/largan'.
0.004487 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/lg_gsm'.
0.004551 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/mars'.
0.004581 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/mustek'.
0.004610 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/panasonic_coolshot'.
0.004639 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/panasonic_dc1000'.
0.004668 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/panasonic_dc1580'.
0.004697 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/panasonic_l859'.
0.004726 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/pccam300'.
0.004755 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/pccam600'.
0.004784 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/polaroid_pdc320'.
0.004813 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/polaroid_pdc640'.
0.004842 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/polaroid_pdc700'.
0.004871 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/ptp2'.
0.004900 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/ricoh'.
0.004929 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/ricoh_g3'.
0.004958 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/samsung'.
0.004996 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/sierra'.
0.005026 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/sipix_blink2'.
0.005055 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/sipix_web2'.
0.005084 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/smal'.
0.005113 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/sonix'.
0.005143 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/sony_dscf1'.
0.005172 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/sony_dscf55'.
0.005201 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/soundvision'.
0.005230 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/spca50x'.
0.005259 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/sq905'.
0.005289 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/stv0674'.
0.005318 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/stv0680'.
0.005347 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/sx330z'.
0.005376 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/topfield'.
0.005405 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.3/toshiba_pdrm11'.
0.005441 gp-abilities-list(2): Found 59 camera drivers.
0.126828 gphoto2-camera(2): Setting abilities ('Olympus C-3000Z')...
0.126935 setting/gphoto2-setting.c(2): Creating $HOME/.gphoto
0.128178 setting/gphoto2-setting.c(2): Loading settings from file "/root/.gphoto/settings"
0.128282 gphoto2-setting(2): Setting key 'model' to value 'Olympus C-3000Z' (gphoto2)
0.128323 gphoto2-setting(2): Saving 2 setting(s) to file "/root/.gphoto/settings"
0.128496 main(2): Processing 'port' option ('usb')...
0.128546 main(2): Ports must look like 'serial:/dev/ttyS0' or 'usb:', but 'usb' is missing a colon so I am going to guess what you mean.
0.128582 main(2): Guessed port name. Using port 'usb:' from now on.
0.128627 gphoto2-port-info-list(2): Using ltdl to load io-drivers from '/usr/lib/libgphoto2_port/0.8.0'...
0.128725 gphoto2-port-info-list(2): Called for filename '/usr/lib/libgphoto2_port/0.8.0/disk'.
0.130068 gphoto2-port/disk(2): found fstab fsname UUID=10c383a9-c001-49d9-8eba-82ab03473913
0.130167 gphoto2-port/disk(2): found fstab fsname UUID=b036da3f-a4a3-4e6d-af7a-a4c1604e5521
0.130217 gphoto2-port/disk(2): found fstab fsname p866f4.localdomain:/fc1
0.131141 gphoto2-port/disk(2): found fstab fsname p866f4.localdomain:/data1
0.131481 gphoto2-port/disk(2): found fstab fsname p866f4.localdomain:/data2
0.132160 gphoto2-port/disk(2): found fstab fsname p866f4.localdomain:/data3
0.133070 gphoto2-port/disk(2): found fstab fsname tmpfs
0.133153 gphoto2-port/disk(2): found fstab fsname devpts
0.133202 gphoto2-port/disk(2): found fstab fsname sysfs
0.133251 gphoto2-port/disk(2): found fstab fsname proc
0.133308 gphoto2-port/disk(2): found fstab fsname LABEL=SWAP-hda3
0.133462 gphoto2-port/disk(2): found mtab fsname /dev/sda2
0.133506 gphoto2-port/disk(2): found mtab fsname /proc
0.133551 gphoto2-port/disk(2): found mtab fsname sysfs
0.133595 gphoto2-port/disk(2): found mtab fsname devpts
0.133640 gphoto2-port/disk(2): found mtab fsname /dev/sda1
0.133684 gphoto2-port/disk(2): found mtab fsname tmpfs
0.133730 gphoto2-port/disk(2): found mtab fsname none
0.133783 gphoto2-port/disk(2): found mtab fsname sunrpc
0.133834 gphoto2-port/disk(2): found mtab fsname p866f4.localdomain:/fc1
0.133886 gphoto2-port/disk(2): found mtab fsname p866f4.localdomain:/data1
0.133936 gphoto2-port/disk(2): found mtab fsname p866f4.localdomain:/data2
0.135176 gphoto2-port/disk(2): found mtab fsname p866f4.localdomain:/data3
0.135265 gphoto2-port/disk(2): found mtab fsname gvfs-fuse-daemon
0.135409 gphoto2-port-info-list(2): Could not load port driver list: 'Unspecified error'.
0.135446 gphoto2-port-info-list(2): Called for filename '/usr/lib/libgphoto2_port/0.8.0/ptpip'.
0.135663 gphoto2-port-info-list(2): Loaded 'PTP/IP Connection' ('ptpip:') from '/usr/lib/libgphoto2_port/0.8.0/ptpip'.
0.135704 gphoto2-port-info-list(2): Loaded '' ('^ptpip') from '/usr/lib/libgphoto2_port/0.8.0/ptpip'.
0.135749 gphoto2-port-info-list(2): Called for filename '/usr/lib/libgphoto2_port/0.8.0/serial'.
0.135902 gphoto2-port-serial(2): Trying to lock '/dev/ttyS0'...
0.144616 gphoto2-port-serial(2): Trying to lock '/dev/ttyS1'...
0.149442 gphoto2-port-serial(2): Trying to lock '/dev/ttyS2'...
0.154315 gphoto2-port-serial(2): Trying to lock '/dev/ttyS3'...
0.159211 gphoto2-port-info-list(2): Loaded 'Serial Port 0' ('serial:/dev/ttyS0') from '/usr/lib/libgphoto2_port/0.8.0/serial'.
0.159282 gphoto2-port-info-list(2): Loaded 'Serial Port 1' ('serial:/dev/ttyS1') from '/usr/lib/libgphoto2_port/0.8.0/serial'.
0.159313 gphoto2-port-info-list(2): Loaded 'Serial Port 2' ('serial:/dev/ttyS2') from '/usr/lib/libgphoto2_port/0.8.0/serial'.
0.159344 gphoto2-port-info-list(2): Loaded 'Serial Port 3' ('serial:/dev/ttyS3') from '/usr/lib/libgphoto2_port/0.8.0/serial'.
0.159375 gphoto2-port-info-list(2): Loaded '' ('^serial') from '/usr/lib/libgphoto2_port/0.8.0/serial'.
0.159406 gphoto2-port-info-list(2): Called for filename '/usr/lib/libgphoto2_port/0.8.0/usb'.
0.219442 gphoto2-port-info-list(2): Loaded 'Universal Serial Bus' ('usb:') from '/usr/lib/libgphoto2_port/0.8.0/usb'.0.219512 gphoto2-port-info-list(2): Loaded '' ('^usb:') from '/usr/lib/libgphoto2_port/0.8.0/usb'.
0.219561 gphoto2-port-info-list(2): Counting entries (10 available)...
0.219594 gphoto2-port-info-list(2): 6 regular entries available.
0.219630 gphoto2-port-info-list(2): Looking for path 'usb:' (10 entries available)...
0.219668 gphoto2-port-info-list(2): Getting info of entry 5 (10 available)...
0.219706 gphoto2-camera(2): Setting port info for port 'Universal Serial Bus' at 'usb:'...
0.220289 gphoto2-port(2): Setting timeout to 5000 millisecond(s)...
0.220338 gphoto2-port(2): Setting settings...
0.220369 libusb(2): gp_port_usb_update(old int=0, conf=-1, alt=-1), (new int=0, conf=-1, alt=-1)
0.220402 gphoto2-setting(2): Setting key 'port' to value 'usb:' (gphoto2)
0.220439 gphoto2-setting(2): Saving 2 setting(s) to file "/root/.gphoto/settings"
0.223296 gphoto2-camera(2): Listing files in '/'...
0.223394 gphoto2-camera(2): Initializing camera...
0.223449 gphoto2-port-usb(1): Looking for USB device (vendor 0x7b4, product 0x100)... found.
0.223483 gphoto2-port-usb(2): inep to look for is 83
0.223512 gphoto2-port-usb(1): Detected defaults: config 1, interface 0, altsetting 0, inep 83, outep 04, intep ffffffff, class ff, subclass ff
0.223547 gphoto2-camera(2): Loading '/usr/lib/libgphoto2/2.4.3/sierra'...
0.223899 gphoto2-port(2): Opening USB port...
0.223939 libusb(2): gp_port_usb_open()
0.224179 gphoto2-port(0): Camera is already in use.
0.224265 context(0): An error occurred in the io-library ('Could not lock the device'): Camera is already in use.
0.225809 gp-camera(2): Freeing camera...
0.225858 gphoto2-port(2): Freeing port...
0.225890 gphoto2-port(2): Closing port...
0.226011 gphoto2-port(0): Could not release interface 0 (Invalid argument).
0.226087 libgphoto2/gphoto2-filesys.c(2): Clearing fscache LRU list...
0.226120 libgphoto2/gphoto2-filesys.c(2): fscache LRU list already empty
0.226148 gphoto2-filesystem(2): Internally deleting all folders from '/'...
Comment 1 Bug Zapper 2008-11-26 00:28:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:52:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 01:51:43 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.